From 81d3cf522024fe1c77a6302f2b6593ec4ea43acd Mon Sep 17 00:00:00 2001
From: Kaarlo Raiha <kaarlo.raiha@tut.fi>
Date: Sun, 21 Dec 2008 00:13:07 +0200
Subject: [PATCH] Win32 fix compilation (ugly)

---
 modules/stream_out/raop.c |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

diff --git a/modules/stream_out/raop.c b/modules/stream_out/raop.c
index b3a8b77..17705df 100644
--- a/modules/stream_out/raop.c
+++ b/modules/stream_out/raop.c
@@ -28,6 +28,37 @@
 # include "config.h"
 #endif
 
+#ifdef WIN32
+/* FIXME: Move the function to proper place */
+/* Code is from:
+ * http://www.koders.com/cpp/fid447A740B67AF498AF5C189E4BAA97F441567A25C.aspx */
+char * strsep (char **stringp, const char *delim)
+{
+	char *s;
+	const char *spanp;
+	int c, sc;
+	char *tok;
+
+	if ((s = *stringp) == NULL)
+		return (NULL);
+	for (tok = s;;) {
+		c = *s++;
+		spanp = delim;
+		do {
+			if ((sc = *spanp++) == c) {
+				if (c == 0)
+					s = NULL;
+				else
+					s[-1] = 0;
+				*stringp = s;
+				return (tok);
+			}
+		} while (sc != 0);
+	}
+	/* NOTREACHED */
+}
+#endif
+
 #include <assert.h>
 
 #include <gcrypt.h>
-- 
1.5.5.1

